
// *** see also platform specific preferences from /platform ***

// See http://kb.mozillazine.org/Localize_extension_descriptions
pref("extensions.thumbsdown@mozdev.org.description", "chrome://thumbsdown/locale/thumbsdown.properties");
// version of this extension
pref("extensions.thumbsdown.version", "0");
// download dir
pref("extensions.thumbsdown.downloadDir", "");
// show in Tools menu
pref("extensions.thumbsdown.showInToolsMenu", true);
// show in context menu
pref("extensions.thumbsdown.showInContextMenu", false);
// show only thumbsdown context menu when thumbsdown is activated
pref("extensions.thumbsdown.hijackContextMenu", true);
// show in status bar (when inactive)
pref("extensions.thumbsdown.showInStatusBar", true);
// warn about missing download folder
pref("extensions.thumbsdown.warnMissingDownloadFolder", true);


/* shortcut keys */

pref("extensions.thumbsdown.keys.toggleStatus.modifiers", "accel");
pref("extensions.thumbsdown.keys.toggleStatus.key",       "1");
pref("extensions.thumbsdown.keys.toggleStatus.keycode",   "");

pref("extensions.thumbsdown.keys.activateAndSelectAll.modifiers", "accel");
pref("extensions.thumbsdown.keys.activateAndSelectAll.key",       "2");
pref("extensions.thumbsdown.keys.activateAndSelectAll.keycode",   "");

pref("extensions.thumbsdown.keys.download.modifiers", "accel");
pref("extensions.thumbsdown.keys.download.key",       "3");
pref("extensions.thumbsdown.keys.download.keycode",   "");


/* Script Runner */

// Open Script Runner when a new script is added
pref("extensions.thumbsdown.scriptrunner.open", true);
// Focus on Script Runner when a new script is added
pref("extensions.thumbsdown.scriptrunner.focus", false);
// Attention on Script Runner when a script fails
pref("extensions.thumbsdown.scriptrunner.attention", true);
// Script Runner window title prefix template
pref("extensions.thumbsdown.scriptrunner.titlePrefix", "${success}:${fail}/${total} - ");
// Update Script Runner UI every Nth millisecond (non-positive disables update)
pref("extensions.thumbsdown.scriptrunner.updateDelay", 1000);
// Script Runner HTTP request timeout
pref("extensions.thumbsdown.scriptrunner.requestTimeout", 60);


/* Script Wizard */

// Script Wizard target request timeout (seconds)
pref("extensions.thumbsdown.scriptwizard.requestTimeout", 15);
pref("extensions.thumbsdown.scriptwizard.minThumbnailWidth", 32);
pref("extensions.thumbsdown.scriptwizard.minThumbnailHeight", 32);
pref("extensions.thumbsdown.scriptwizard.minThumbnailMode", 1);
pref("extensions.thumbsdown.scriptwizard.minImageWidth", 200);
pref("extensions.thumbsdown.scriptwizard.minImageHeight", 200);
pref("extensions.thumbsdown.scriptwizard.minImageMode", 1);


/* Download Manager Service */

// DownThemAll!
// rename mask (replacement for dta pref)
pref("extensions.thumbsdown.dm.dta.renameMask", "*name*.*ext*");
